Connect

Select Instagram Account and Finish Connect

Connects the chosen Instagram account and finishes the connect. Send the tempToken returned to your redirect URL.

POST
/v1/connections/oauth/instagram/select

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Request Body

application/json
  1. body
tempToken*string
Length1 <= length
instagramAccountId*string
Length1 <= length
redirectUrl?string

Response Body

Connected Instagram account

application/json
  1. response
connection*
redirectUrl*string
Formaturi
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.selectInstagramAccount({  body: {    "tempToken": "temp_abc123",    "instagramAccountId": "17841400008460056",    "redirectUrl": "https://app.onepostly.com/connections/callback"  },});console.log(response);
Example Response
{  "connection": {    "id": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",    "platform": "instagram",    "displayName": "Onepostly",    "handle": "@onepostly",    "avatarUrl": "https://cdn.onepostly.com/avatars/onepostly.jpg",    "status": "active",    "tokenExpiresAt": "2026-10-25T10:00:00.000Z",    "canAutoRenew": true,    "authHealth": "healthy",    "profileName": "Business",    "xSubscriptionType": "Premium",    "createdAt": "2026-08-25T10:00:00.000Z",    "updatedAt": "2026-08-25T10:00:00.000Z"  },  "redirectUrl": "https://app.onepostly.com/connections/callback"}